<?php
namespace nur\passwd;

class PasswordGenerator extends AbstractGenerator {
  function generate(?int $nbBlocks=null, ?int $nbPuncts=null, ?int $seed=null): string {
    # toujours réinitialiser le seed
    if ($seed === null) mt_srand();
    return parent::generate($nbBlocks, $nbPuncts, $seed);
  }
}
